package metabase

import (
	"git.frostfs.info/TrueCloudLab/frostfs-node/cmd/frostfs-lens/internal/schema/common"
	"git.frostfs.info/TrueCloudLab/frostfs-node/cmd/frostfs-lens/internal/schema/metabase/buckets"
)

var MetabaseParser = common.WithFallback(
	common.Any(
		buckets.GraveyardParser,
		buckets.GarbageParser,
		buckets.ContainerVolumeParser,
		buckets.LockedParser,
		buckets.ShardInfoParser,
		buckets.PrimaryParser,
		buckets.LockersParser,
		buckets.TombstoneParser,
		buckets.SmallParser,
		buckets.RootParser,
		buckets.OwnerParser,
		buckets.UserAttributeParser,
		buckets.PayloadHashParser,
		buckets.ParentParser,
		buckets.SplitParser,
		buckets.ContainerCountersParser,
		buckets.ECInfoParser,
	),
	common.RawParser.ToFallbackParser(),
)
